<template>
  <view class="flex flex-col gap-20 px-30 pb-20 bg-back h-fit">
    <template v-if="simulatedRecordList.length > 0">
      <view class="" v-for="(item, index) in simulatedRecordList" :key="index">
        <vhs-exam-record-item :data="item" />
      </view>
    </template>
    <view v-else class="mt-200">
      <z-paging-empty-view :empty-view-fixed="false" />
    </view>
  </view>
</template>
<script lang="ts" setup>
import { getSimulatedRecord } from '@/api/modules/study';
import VhsExamRecordItem from '@/pagesStudy/components/vhs-exam-record-item.vue';
import { Study } from '@/types';

const simulatedRecordList = ref<Study.SimulatedRecord[]>([]);
const paperWorkRecordList = ref<Study.PaperWork[]>([]);
const loadData = async () => {
  simulatedRecordList.value = [];
  paperWorkRecordList.value = [];
  const { data } = await getSimulatedRecord();
  simulatedRecordList.value = data;
  console.log(data, 123)
}

onShow(() => {
  loadData();
});
</script>
<style lang="scss" scoped></style>